# OpenQuake Engine

![OpenQuake Logo](https://raw.githubusercontent.com/gem/oq-infrastructure/master/logos/oq-logo.png)

The **OpenQuake Engine** is an open source software that provides calculation and assessment of seismic hazard, risk and decision-making tools via the data, methods and standards that are being developed by the **[GEM](http://www.globalquakemodel.org)** (Global Earthquake Model) Foundation and its collaborators.
DOI: [10.13117/openquake.engine](https://doi.org/10.13117/openquake.engine)

<!-- GEM BEGIN: apply the following patch with the proper values for the next release
-[![Build Status](https://travis-ci.org/gem/oq-engine.svg?branch=master)](https://travis-ci.org/gem/oq-engine)
 
-### Current stable
+## OpenQuake Engine version 2.6 (Gutenberg)
 
-Current stable version is the **OpenQuake Engine 2.5** 'Fourier'. The documentation is available at https://github.com/gem/oq-engine/tree/engine-2.5#openquake-engine.
-* [What's new](https://github.com/gem/oq-engine/blob/engine-2.5/doc/whats-new.md)
-
+Starting from OpenQuake version 2.0 we have introduced a "code name" to honour earthquake scientists.
 
+The code name for version 2.6 is **Gutenberg**, in memory of [Beno Gutenberg](https://en.wikipedia.org/wiki/Beno_Gutenberg).
+* [What's new](https://github.com/gem/oq-engine/blob/engine-2.6/doc/whats-new.md)
+ 
+## Documentation
-->

[![AGPLv3](https://www.gnu.org/graphics/agplv3-88x31.png)](https://www.gnu.org/licenses/agpl.html)
[![PyPI Version](https://img.shields.io/pypi/v/openquake.engine.svg)](https://pypi.python.org/pypi/openquake.engine)
![PyPI - Wheel](https://img.shields.io/pypi/wheel/openquake.engine.svg)

### Current Long Term Support (LTS) release - for users wanting stability

<!-- WARNING! LTS Version is read by .github/workflows/docs.yml action processing the next line, if you change the 'The current LTS version is **OpenQuake Engine 3.23**' part, change that script accordingly.  -->
The current LTS version is **OpenQuake Engine 3.23** 'Bellamy'. [What's new](https://docs.openquake.org/oq-engine/master/manual/release-notes/whats-new-3.23.html) [(branch)](https://github.com/gem/oq-engine/tree/engine-3.23)

The code name for version 3.23 is **Bellamy**, in memory of the English seismologist [Ethel Bellamy](https://en.wikipedia.org/wiki/Ethel_Bellamy).

### Latest release - for users needing the latest features

The latest stable version is **OpenQuake Engine 3.23**. [What's new](https://docs.openquake.org/oq-engine/master/manual/release-notes/whats-new-3.23.html) [(branch)](https://github.com/gem/oq-engine/tree/engine-3.23)

<!-- GEM END -->

## Documentation

Since version 3.19 the OpenQuake Engine documentation has been consolidated into a single site: 
https://docs.openquake.org/oq-engine/master/manual/

* [Getting Started](https://docs.openquake.org/oq-engine/master/manual/getting-started/)
* [User Guide](https://docs.openquake.org/oq-engine/master/manual/user-guide/)
* [API Reference](https://docs.openquake.org/oq-engine/master/manual/api-reference/)
* [Underlying Science](https://docs.openquake.org/oq-engine/master/manual/underlying-science/)
* [Release Notes](https://docs.openquake.org/oq-engine/master/manual/release-notes/)
* [Contributing](https://docs.openquake.org/oq-engine/master/manual/contributing/)
* [FAQ](https://docs.openquake.org/oq-engine/master/manual/user-guide/extras/faq.html)


## Mirrors

A mirror of this repository, hosted in Pavia (Italy), is available at [https://mirror.openquake.org/git/GEM/oq-engine.git](https://mirror.openquake.org/git/GEM/oq-engine.git).

The main download server ([downloads.openquake.org](https://downloads.openquake.org/)) is hosted in Nürnberg (Germany).


## License

The OpenQuake Engine is released under the **[GNU Affero Public License 3](https://github.com/gem/oq-engine/blob/engine-3.23/LICENSE)**.

## Contacts

* Support forum: https://groups.google.com/forum/#!forum/openquake-users
* Twitter: [@gem_devs](https://twitter.com/gem_devs)

## Thanks

***

The OpenQuake Engine is developed by the **[Global Earthquake Model Foundation (GEM)](http://gem.foundation)** with the support of

## Public Governors

<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/public_governors/geoscience_australia.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/public_governors/gns.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/public_governors/nerc.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/public_governors/nied.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/public_governors/protezione_civile.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/public_governors/swiss_agency.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/public_governors/t_e_m.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/public_governors/usaid.png" width="20%" />



## Private Partners

#### Governors
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/allianz.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/aon.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/eucentre.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/fm.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/hannover_re.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/marsh.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/moodys.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/munich_re.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/partner_re.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/swiss_re.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/verisk.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/wtw.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/governors/zurich.png" width="20%" />

#### Advisors
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/advisors/axa.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/advisors/celsius_pro.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/advisors/descartes.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/advisors/gallagher_re.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/advisors/norman_max.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/advisors/one_concern.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/private_partners/advisors/safehub.png" width="20%" />



## Associate Partners

<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/associate_partners/apdim.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/associate_partners/eeri.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/associate_partners/iaee.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/associate_partners/iaspei.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/associate_partners/irdr_icsu.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/associate_partners/undrr.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/associate_partners/unesco.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/associate_partners/usgs.png" width="20%" />



## Project Partners

<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/project_partners/edf.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/project_partners/servicio_geologico_colombiano.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/project_partners/sura.png" width="20%" />


## Products Distribution Partners

<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/product_distribution_partners/climate_engine.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/product_distribution_partners/dc_climate.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/product_distribution_partners/eigen_risk.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/product_distribution_partners/imagecat.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/product_distribution_partners/impact_forecasting.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/product_distribution_partners/jupiter_intelligence.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/product_distribution_partners/nasdaq.png" width="20%" align="left" />
<img src="https://cloud-storage.globalquakemodel.org/public/partners_logo_website/product_distribution_partners/verisk.png" width="20%" />

***


If you would like to help support development of OpenQuake, please contact us at [partnership@globalquakemodel.org](mailto:partnership@globalquakemodel.org).
For more info visit the GEM website at https://www.globalquakemodel.org/partners
